gnutls_x509_crt_set_ca_status(3)

NAME
gnutls_x509_crt_set_ca_status - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_ca_status(gnutls_x509_crt_t crt, unsigned int ca);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

unsigned int ca
    true(1) or false(0). Depending on the Certificate authority status.

DESCRIPTION
This function will set the basicConstraints certificate extension. Use gnutls_x509_crt_set_basic_constraints() if you want to control the pathLenConstraint field too.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/